ctools - Change request #1523

cshessobs with Python3.x
08/31/2015 01:54 PM - Mayer Michael

Status: Closed Start date: 08/31/2015
Priority: Normal Due date:

Assigned To: Mayer Michael % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0.0

Description

Christoph noted that cshessobs doesn't work with Python3.x. The reason is that apparently python dictionaries lost the function
has_key.
| therefore propose to replace the call of these functions to a more pythonic way using:

if key in dict:

instead of

if dict.has_key(key):

History

#1 - 08/31/2015 01:59 PM - Mayer Michael
- Status changed from New to Pull request

- Assigned To set to Mayer Michael

Available von branch 1523-cshessobs-python3x.

#2 - 08/31/2015 02:44 PM - Deil Christoph
Alternative fix: https:/gith

tongue.png

(IMO having cshessobs as an untested and undocumented second-class script that hardcodes HESS a data management scheme is a bad idea.)

#3 - 09/24/2015 09:07 PM - Knodlseder Jiirgen
- Status changed from Pull request to Closed
- Target version set to 1.0.0

- % Done changed from 0 to 100

Merged into devel.
https://github.com/ctools/ctools/compare/devel...cdeil:issue-1522
http://www.tcpdf.org

